function [response, responsevector] = GenLucerecall
% calculates probability of selection of each recall candidate by Luce's
% choice rule

global M

voj = GenLuce;         %computes the normalised similarity of the retrieved vector to all item vectors
voj = cumsum(voj);     %cumulative sum of similarities to calculate intervals between values, increased probability of selecting higher value
x = rand;              %generate random values between 0 - 1 for item selection process
r = min(find(x<voj));  %selection of a candidate for recall dependent interval in which x falls
response = M.recallset(r);
responsevector = M.candidates(r,:); 

%embedded function
function voj = GenLuce

global M
global P

dists = zeros(1, size(M.candidates,1));
for i = 1:size(M.candidates,1)
    dists(i) = (sum((M.wm - M.candidates(i,:)).^2))^.5;  %Euclidean distance between retrieved item and all item vectors
end
dists = dists - min(dists);
s = exp(-P.c * dists.^2);
denom = sum(s);
voj = s./denom;