function x = PreFigure(new, re, style)
%first argument: new (0 = overwrite old figure, 1 = create new figure)
%second argument: re = placement rectangle [left, bottom, width, height],
%scaled from 0 to 1
%third argument: style (1 = black/white, with points, 2 = colour, just lines, 3 = colour, with points)

if nargin < 1 || isempty(new), new = 1; end  %default: create new figure (rather than overwriting old one)
if nargin < 2 || isempty(re), re = [0.1,0.1,0.8,0.8]; end %left, bottom, width, height
if nargin < 3, style = 1; end  %default: black/white
if new == 1, figure; end
axes ('position', re);     %Setzt Achsen an Position, die durch re definiert ist

if style == 1 
    set (0, 'DefaultAxesLineStyleOrder', {'-*','-s','-o', '-v', '-x',':*',':s', ':o', ':v', ':x'}); 
    set (0, 'DefaultAxesColorOrder', [0,0,0])
end
if style == 2 
    set (0, 'DefaultAxesLineStyleOrder', {'-','--',':','-.'}); 
    set (0, 'DefaultAxesColorOrder', [0,0,0; 1,0,0; 0,1,0; 0,0,1; 0.5,0.5,0; 0,0.5,0.5; 0.5,0,0.5]); 
end
if style == 3 
    set (0, 'DefaultAxesLineStyleOrder', {'-*','-s','-x',':x',':*',':s'}); 
    set (0, 'DefaultAxesColorOrder', [0,0,0; 1,0,0; 0,1,0; 0,0,1; 0.5,0.5,0; 0,0.5,0.5; 0.5,0,0.5]); 
end
set (0, 'Defaultfigurecolor', 'k')
set(0, 'DefaultTextColor', 'k')
set (gcf, 'Color','w')
set (gca, 'box', 'on')
x=0;