% Wrapper for SOB-CS (Stripped-down and commented version corresponding to publication in JEP:LMC)

%clear all;    

global E   %experiment parameters
global C   %constants
global P   %model parameters
global M   %memory contents
global O   %output

% ----------------------------

experiment = 1;
% EXPERIMENT NUMBER DEFINITIONS:
%  1 = Item-Distractor Similarity experiment with reconstruction 
%  2 = Item-Distractor Similarity with separate position markers for each distractor 

% General experimental parameters (common to all simulations) and parameters for controlling simulation
E.plotting = 3;      %0 = none, 1 = minimalist, 2 = more (depending on experiment), 3 = yet more
E.nreplic = 500;     %default, can be overwritten in later functions (depending on tracing)

%Constants
C.sim = [0.5, 0.6];  %similarity between dissimilar items/ similar items (for words; for letters, sim is directly derived from the MDS solution; digits use C.sim(1))
C.cuesim = 0.5;    %similarity (= degree of overlap) of positional cues
C.rectime = 1.0;   %time for recalling an item
C.un = 150;        %number of units for item layer
C.cun = 16;        %number of units for position layer

%Parameters 
%     no   c    rate  tau   gain   
V = [1.50  0.45  6   -1000  0.0033];  

P.nsubo = V(1);           %Noise weighting on item-context representations = output interference
P.c = V(2);               %Weights Euclidean distance in Luce choice rule = distinctiveness parameter
P.rate = V(3);            %rate of encoding
P.tau = V(4);             %shift of logistic for computation of strength from Energy
P.gain = V(5);            %gain of logistic for computation of strength from Energy

if experiment == 1, GenItemDistSim; end
if experiment == 2, GenItemDistSimLL; end
